- Home
- API Enriched
- Tenant And Identity
- scim
- Create User with Role Assignment.
Create User with Role Assignment.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Users';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"active":true,"displayName":"example","emails":[{"primary":true,"type":"example","value":"example"}],"externalId":"example","groups":[{"display":"example","id":"example"}],"meta":{"created":"example","lastModified":"example","location":"example","resourceType":"example","version":"example"},"name":{"familyName":"example","formatted":"example","givenName":"example","honorificPrefix":"example","honorificSuffix":"example","middleName":"example"},"roles":["example"],"schemas":["example"],"userName":"example","userType":"USER"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/scim/namespaces/system/v2/Users \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "active": true, "displayName": "example", "emails": [ { "primary": true, "type": "example", "value": "example" } ], "externalId": "example", "groups": [ { "display": "example", "id": "example" } ], "meta": { "created": "example", "lastModified": "example", "location": "example", "resourceType": "example", "version": "example" }, "name": { "familyName": "example", "formatted": "example", "givenName": "example", "honorificPrefix": "example", "honorificSuffix": "example", "middleName": "example" }, "roles": [ "example" ], "schemas": [ "example" ], "userName": "example", "userType": "USER" }'Create creates a user and namespace roles binding for this user.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”CreateUserRequest is the request for creating a user.
object
Active is boolean representing if user is active or not.
DisplayName refers to the name to be displayed for the user. Default is name.
Emails can be list of emails to be used by user work, personal etc.
Email for user can be primary or secondary.
object
Primary boolean describing whether it is primary or not.
Type of email describing whether it is work or personal.
Value.
ExternalId refers to the ID for user represented in the external system like Azure etc.
Groups to which user belongs to.
UserGroup.
object
Display for the user group name.
ID of the group to which user belongs.
object
Create date. Required: YES.
Last modification date and time. Required: YES.
[x-required] location for resource.
Type of resource. Required: YES.
Version for resource type. Required: YES.
object
Family name.
Formatted name is detailed name of person.
Given name of the person.
Prefix for the name. Mr Ms. Etc.
Suffix for the name like Jr Sr I II III etc.
Middle name of the person.
Roles defined for the user. Required: YES.
Schemas represent the schema from scim spec to be used for creating the user.
UserName refers to the unique userName for this user. Can be emailId or username used in yahoo gmail etc.
Responses
Section titled “Responses”A successful response.
User object representing the user created.
object
Active specifies if user is active or not.
DisplayName for the user.
Emails for the user whether primary or secondary.
Email for user can be primary or secondary.
object
Primary boolean describing whether it is primary or not.
Type of email describing whether it is work or personal.
Value.
ExternalId specifies the ID for the user object in external system. Required: YES.
Groups to which user is part of. Required: YES.
UserGroup.
object
Display for the user group name.
ID of the group to which user belongs.
ID for user object. Required: YES.
object
Create date. Required: YES.
Last modification date and time. Required: YES.
[x-required] location for resource.
Type of resource. Required: YES.
Version for resource type. Required: YES.
object
Family name.
Formatted name is detailed name of person.
Given name of the person.
Prefix for the name. Mr Ms. Etc.
Suffix for the name like Jr Sr I II III etc.
Middle name of the person.
NickName for the user.
Roles defined for the user. Required: YES.
Schemas for user object as per scim spec 2.0. Required: YES.
UserName for the user. Required: YES.
Example
{ "userType": "USER"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example